List connections
curl --request GET \
--url https://api.getdialed.ai/flows/connections \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getdialed.ai/flows/connections"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getdialed.ai/flows/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"auth_method": "basic_auth",
"created_by": "user_11223344",
"credentials_ref": "getdialed/acme/five9/conn_e5f6g7h8",
"id": "conn_e5f6g7h8",
"last_verified": "2026-07-09T18:00:00Z",
"name": "Five9 Production",
"org_id": "org_a1b2c3d4",
"platform_id": "five9",
"service_id": "five9__configuration",
"status": "active"
}
]{
"detail": "Authentication required"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "Rate limit exceeded: 100 per 1 minute"
}connections
List connections
List the calling organization’s connections. Filter by status and paginate with limit/skip.
GET
/
connections
List connections
Authorizations
APIKeyHeaderHTTPBearer
Query Parameters
Available options:
active, expired, revoked Required range:
1 <= x <= 500Required range:
x >= 0⌘I